Updating linux kernel headers


09-Dec-2017 18:08

Setting up linux-headers-4.4.0-21-lowlatency (4.4.0-21.37~14.04.1) ... If that fails you *** can specify the location of the spl objects with the *** '--with-spl-obj=PATH' option. Bad return status for module build on kernel: 4.4.0-21-lowlatency (x86_64) Consult /var/lib/dkms/zfs/0.6.5.6/build/for more information.Ok, so I need to get zfs into the kernel Can you give me instructions about how you manually tried to install flynn so I can reproduce your environment ?The cleaned up headers do not contain copyrightable information and are distributed with bionic.Importing modified kernel headers files is done using scripts found in bionic.This project contains the original kernel headers that are used to generate Bionic's “cleaned-up” user-land headers.They are mostly covered by the GPLv2 exception, and thus cannot be distributed as part of the platform itself.

Then it failed on 'make menuconfig KERNEL=3.18-std' with error No rule to make target `menuconfig'.

it will be a lot easier for me to try my fixes To install manually, you need to run https://github.com/flynn/flynn/blob/v20160412.0/script/on server, WITHOUT apt-get install -y "linux-headers-$(uname -r)" and "linux-image-extra-$(uname -r)", and @moul is there a reason a non-vanilla kernel needs to be used?

I imagine something in your netboot/remote disk infrastructure needs to be compiled in rather than loaded from initrd?

I'm trying to install flynn (flynn.io) and here's the issue flynn/flynn#2696 . Ok nice, can you just try to use the Docker bootscript then ?

updating linux kernel headers-39

Randomcam 18

And here's a suggestion from flynn member flynn/flynn#2709 (comment) . it is shipped with AUFS support Else, can you give us instructions to reproduce your flynn installation error, so we can try to deeply investigate the error ? run-parts: executing /etc/kernel/header_postinst.d/dkms 4.4.0-21-lowlatency /boot/vmlinuz-4.4.0-21-lowlatency configure: error: *** Please make sure the kmod spl devel package for your *** distribution is installed then try again.Hey All, New install Linux Mint 18 and after installing updates two level 5 updates left unchecked.Level 5 update: Linux Kernel Headers for Development. 4.4.0-34.53 So how important are these and should they be installed.The scsi kernel headers were never properly made to into uapi versions, so this directory contains the unmodified scsi headers that are imported into bionic.